Bug 100209 - crash: select Master Slide for Master Slide in Slide Background
Summary: crash: select Master Slide for Master Slide in Slide Background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: haveBacktrace
Depends on:
Blocks: 100441
  Show dependency treegraph
 
Reported: 2016-06-03 22:02 UTC by JoNi
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (18.42 KB, text/plain)
2016-06-03 22:02 UTC, JoNi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JoNi 2016-06-03 22:02:24 UTC
Created attachment 125478 [details]
backtrace

selecting a master slide for a master slide cashes impress

to reproduce:
* open a new impress document
* in the standard toolbar click Display Modes
* select Master Modes, Notes
* open sidebar - properties, if it's not open
* Slide Background has a listbox Master Slide, open the list
* select default
-> crash

guess this should have been disabled for masters in first place

also note the warn right before the crash and the argument in #1 of the backtrace
Comment 1 Julien Nabet 2016-06-04 12:07:56 UTC
On pc Debian x86-64 with master sources updated today (21e0900061262ddc0eb4f91a23016af244848310), I could reproduce this.
Comment 2 Julien Nabet 2016-06-04 12:08:50 UTC
In addition of the bt, I noticed these on console:
warn:legacy.tools:14873:1:sd/source/ui/slidesorter/controller/SlsPageSelector.cxx:84: PageSelector::DeselectAllPages: the selected pages counter is not 0

warn:sd.core:14873:1:sd/source/core/PageListWatcher.cxx:95: ImpPageListWatcher::GetSdPage(PK_STANDARD): page number 65535 >= 1
Comment 3 Commit Notification 2016-06-15 22:07:04 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e28a809d3e9fcd69b07933d698e1e166867b5c8

tdf#100209: Master slide of master slide makes no sense

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (CIB) 2016-06-15 22:09:31 UTC
If some1 could try if the patch actually fixes the bug, it'd be great
Comment 5 Caolán McNamara 2016-06-16 08:52:02 UTC
Yeah, it fixes it.

There are still a problem on switching mode though, but not a fatal one. Start impress and the slide bg pane has "default" selected for master slide. Switch to notes and the slide bg pane is enabled but has nothing selected. Switch back to "normal" and the master still has nothing selected either.
Comment 6 Commit Notification 2016-06-16 08:54:22 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=343f12ca3fdb3503995619a3caa1b15f77c04baa&h=libreoffice-5-2

tdf#100209: Master slide of master slide makes no sense

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 JoNi 2016-06-16 13:42:42 UTC
apart from the issue mentioned in comment 5 (guess this didn't work before),

there is a minor regression:
switching to Notes Master view disables bg Master Slide (new & correct)
going back to Normal View bg Master Slide is still disabled (should be enabled)
and empty as described in comment 5
Comment 8 Caolán McNamara 2016-06-16 14:58:23 UTC
caolanm->jONi: Can you open a new bug about the (relatively) minor remaining flaws, and we can leave this more serious crash bug as closed so we can maintain a "clean" list of crashers.